Join Nostr
2026-05-05 10:45:28 UTC

โ–ณ แ›‹แ›…แšฑแ›’แ›…แšพแ›แ›‹ แ›’แ›แ›แ›… โ–ฝ on Nostr: ๐Ÿ‰ RDWE Nostr Signer v1.6.0 is live โ€” and it's a beast. Two real bugs fixed. Four ...

๐Ÿ‰ RDWE Nostr Signer v1.6.0 is live โ€” and it's a beast.

Two real bugs fixed. Four new hardening features. 16 RFC-grade crypto self-tests that run on every boot. If even one vector fails, the extension refuses to touch your keys. Period.

๐Ÿ”ด Bug fixes:
โ€ข NIP-44 v2 padding now fully spec-compliant โ€” cross-client DMs with nos2x / Alby / Primal finally work without silent failures
โ€ข Invalid-curve attack defense โ€” off-curve pubkeys are now rejected at point construction, closing a class of side-channel attacks

โœจ New hardening:
โ€ข ๐Ÿงช 16 RFC-grade KATs (RFC 7539, RFC 5869, RFC 4231, BIP-340, NIP-44) โ€” verified against independent Python implementations
โ€ข โšก NIP-44 conversation-key LRU cache โ€” inbox decryption is now 44ร— faster (5.2s โ†’ 0.12s)
โ€ข โœ๏ธ Schnorr verify-after-sign โ€” every signature is fully verified before being returned to the page
โ€ข ๐Ÿ”’ Stricter session lock โ€” conversation-key cache is wiped on every lockSession(), zero key material in memory when locked

Your nsec is AES-256-GCM encrypted with PBKDF2-SHA256 (310,000 iterations). It never hits plain storage. Not once. Not ever.

Zero dependencies. Zero build step. Just unzip and load.

๐Ÿ‘‰ https://github.com/RedDragonElite/rdwe_nostr_signer

#Nostr #NIP07 #Bitcoin #Privacy #OpenSource #FOSS #Cryptography #Security #Decentralized #Zap #NostrDev #BuildOnNostr #RedDragonElite #Extension #ChromeExtension #Brave #Keys #SelfCustody